Bug 844164 (mate-vfs)

Summary: Review Request: mate-vfs - The MATE virtual file-system libraries
Product: [Fedora] Fedora Reporter: Wolfgang Ulbrich <chat-to-me>
Component: Package ReviewAssignee: Matthias Runge <mrunge>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan.mashal, maurizio.antillon, mrunge, notting, package-review, rdieter
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mrunge: fedora‑review+
limburgher: fedora‑cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-21 08:29:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 840149    

Description Wolfgang Ulbrich 2012-07-29 09:06:16 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/mate-vfs.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/mate-vfs-1.4.0-5.fc17.src.rpm
Description: MATE VFS is the MATE virtual file system. It is the foundation of
the Caja file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.
Fedora Account System Username: raveit65
Comment 2 Dan Mashal 2012-08-06 05:10:28 EDT
Due to your mental instability and immaturity with mate-conf you are no longer welcome as a co-maintainer of the mate-desktop group. Please discontinue any further work on this package.
Comment 3 Matthias Runge 2012-08-06 14:48:37 EDT
(In reply to comment #2)
> Due to your mental instability and immaturity with mate-conf you are no
> longer welcome as a co-maintainer of the mate-desktop group. Please
> discontinue any further work on this package.

I will take this for review. I can't evaluate mental stability, but I'nm very sure, the review guidelines don't take them into account.
Comment 4 Matthias Runge 2012-08-07 02:28:18 EDT
Trying to mock-build (against rawhide):


checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MODULES_XML... no
configure: error: Package requirements (glib-2.0 >= 2.9.3 gmodule-no-export-2.0 
>= 2.9.3 gthread-2.0 >= 2.9.3 libxml-2.0 >= 2.6.0) were not met:
No package 'libxml-2.0' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables MODULES_XML_CFLAGS
and MODULES_XML_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
error: Bad exit status from /var/tmp/rpm-tmp.Tq410v (%build)
    Bad exit status from /var/tmp/rpm-tmp.Tq410v (%build)
RPM build errors:
Child return code was: 1

I guess, there's libxml2-devel missing as Build Requirement?

If added, the next error occurs:
checking for res_ninit()... yes
checking for getaddrinfo... yes
checking whether to enable ipv6... yes
checking for LIBMATEVFS... no
configure: error: Package requirements (glib-2.0 >= 2.9.3 gmodule-no-export-2.0 
>= 2.9.3 gthread-2.0 >= 2.9.3 gobject-2.0 >= 2.9.3 mateconf-2.0 >= 1.1.0 libxml-
2.0 >= 2.6.0 mate-mime-data-2.0 dbus-glib-1 >= 0.60) were not met:
No package 'mate-mime-data-2.0' found


I suggest, you try to correct those build requirements, and try to rebuild this package in mock:

mock --rebuild ../SRPMS/mate-vfs-1.4.0-6.fc17.src.rpm

I have linked my default mock config like this and I suggest you, to do the same:
ls -l /etc/mock/default.cfg 
lrwxrwxrwx 1 root root 25 Aug  3 12:11 /etc/mock/default.cfg -> fedora-rawhide-x86_64.cfg
Comment 5 Wolfgang Ulbrich 2012-08-07 10:04:54 EDT
Thank you Mathias for doing the review.

As your first concern today, the isa tag in mate-mime-data was wrong.

koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4366453

%changelog
* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-vfs.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-vfs-1.4.0-7.fc18.src.rpm
Comment 6 leigh scott 2012-08-07 10:33:24 EDT
(In reply to comment #5)
> Thank you Mathias for doing the review.
> 
> As your first concern today, the isa tag in mate-mime-data was wrong.
> 
> koji scratch build:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4366453
> 
> %changelog
> * Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
> - add BuildRequires: libxml2-devel
> - change patch names to mate
> - add isa tags
> - remove unnecessaries BuildRequires: intltool gtk-doc
> 
> * Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
> - initial build for fedora
> - remove unnecessary BuildRequires
> 
> * Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
> - mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec
> 
> SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-vfs.spec
> 
> SRPM:
> http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-vfs-1.4.0-7.
> fc18.src.rpm


Hi, Can you remove the hal bits and use the correct scriptlets


https://dl.dropbox.com/u/6907158/mate-vfs.spec


%post
/sbin/ldconfig
%mateconf_schema_upgrade system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications


%pre
%mateconf_schema_prepare system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications


%preun
%mateconf_schema_remove system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications


%postun -p /sbin/ldconfig


https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf
Comment 7 Wolfgang Ulbrich 2012-08-09 06:17:54 EDT
new koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4371325

%changelog
* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- remove hal bits
- fix rpm scriptlets

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-vfs.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-vfs-1.4.0-8.fc18.src.rpm
Comment 8 leigh scott 2012-08-09 08:12:08 EDT
Hi Wolfgang,

Can you request a buildroot override so the reviewer can use F17 to review if he wishes.

You can do it here

https://admin.fedoraproject.org/updates/override/list
Comment 9 Wolfgang Ulbrich 2012-08-09 11:06:25 EDT
incorect-fsf-adress is fixed in upstream

https://github.com/mate-desktop/mate-vfs/commits/master
Comment 10 Matthias Runge 2012-08-12 16:04:34 EDT
 
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):mate-
     vfs-smb-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libsmb.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libbzip2.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libcomputer.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libdns-
     sd.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libfile.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libftp.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libgzip.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libhttp.so
     mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libnetwork.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libnntp.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libsftp.so
     mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libtar.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libvfs-test.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (with incorrect FSF address)", "GPL (v2 or later) (with incorrect
     FSF address)", "BSD (2 clause) GPL (v2 or later) (with incorrect FSF
     address)", "GPL (with incorrect FSF address)", "GPL (v2 or later) (with
     incorrect FSF address) LGPL (v2 or later) (with incorrect FSF address)",
     "LGPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "BSD (2 clause)" For detailed output of licensecheck see file:
     /home/mrunge/review/844164-mate-vfs/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: mate-vfs-1.4.0-8.fc19.src.rpm
          mate-vfs-devel-1.4.0-8.fc19.x86_64.rpm
          mate-vfs-1.4.0-8.fc19.x86_64.rpm
          mate-vfs-smb-1.4.0-8.fc19.x86_64.rpm
          mate-vfs-debuginfo-1.4.0-8.fc19.x86_64.rpm
mate-vfs.src: W: spelling-error %description -l en_US http -> HTTP
mate-vfs.x86_64: W: spelling-error %description -l en_US http -> HTTP
mate-vfs.x86_64: W: file-not-utf8 /usr/share/doc/mate-vfs-1.4.0/AUTHORS
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-monitor
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-ls
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-copy
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-rm
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-mv
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-mkdir
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-cat
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-info
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-df
mate-vfs.x86_64: W: dangerous-command-in-%pre rm
mate-vfs.x86_64: W: dangerous-command-in-%post rm
mate-vfs-smb.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 253 errors, 15 warnings.


- wrong fsf-address already fixed upstream, this is not a blocker.


Rpmlint (installed packages)
----------------------------
# rpmlint mate-vfs-debuginfo mate-vfs
mate-vfs.x86_64: W: spelling-error %description -l en_US http -> HTTP
mate-vfs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmatevfs-2.so.0.396.4 /lib64/libgthread-2.0.so.0
mate-vfs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmatevfs-2.so.0.396.4 /lib64/librt.so.1
mate-vfs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmatevfs-2.so.0.396.4 /lib64/libcrypto.so.10
mate-vfs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmatevfs-2.so.0.396.4 /lib64/libselinux.so.1
mate-vfs.x86_64: W: file-not-utf8 /usr/share/doc/mate-vfs-1.4.0/AUTHORS
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-monitor
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-ls
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-copy
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-rm
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-mv
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-mkdir
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-cat
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-info
mate-vfs.x86_64: W: no-manual-page-for-binary matevfs-df
mate-vfs.x86_64: W: dangerous-command-in-%pre rm
mate-vfs.x86_64: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 203 errors, 17 warnings.
# echo 'rpmlint-done:'



- The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).


Requires
--------
mate-vfs-devel-1.4.0-8.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    libmatevfs-2.so.0()(64bit)  
    mate-vfs(x86-64) = 1.4.0-8.fc19
    pkgconfig(gmodule-no-export-2.0)  
    pkgconfig(gobject-2.0)  
    pkgconfig(gthread-2.0)  
    pkgconfig(mateconf-2.0)  

mate-vfs-1.4.0-8.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /sbin/ldconfig  
    config(mate-vfs) = 1.4.0-8.fc19
    gvfs  
    libacl.so.1()(64bit)  
    libacl.so.1(ACL_1.0)(64bit)  
    libattr.so.1()(64bit)  
    libavahi-client.so.3()(64bit)  
    libavahi-common.so.3()(64bit)  
    libavahi-glib.so.1()(64bit)  
    libbz2.so.1()(64bit)  
    libc.so.6()(64bit)  
    libcom_err.so.2()(64bit)  
    libcrypto.so.10()(64bit)  
    libcrypto.so.10(libcrypto.so.10)(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfam.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgssapi_krb5.so.2()(64bit)  
    libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libk5crypto.so.3()(64bit)  
    libkrb5.so.3()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libmatevfs-2.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    libresolv.so.2()(64bit)  
    librt.so.1()(64bit)  
    libselinux.so.1()(64bit)  
    libssl.so.10()(64bit)  
    libssl.so.10(libssl.so.10)(64bit)  
    libutil.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    libxml2.so.2(LIBXML2_2.5.0)(64bit)  
    libxml2.so.2(LIBXML2_2.6.0)(64bit)  
    libz.so.1()(64bit)  
    mate-conf  
    rtld(GNU_HASH)  

mate-vfs-smb-1.4.0-8.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    config(mate-vfs-smb) = 1.4.0-8.fc19
    libavahi-client.so.3()(64bit)  
    libavahi-common.so.3()(64bit)  
    libavahi-glib.so.1()(64bit)  
    libc.so.6()(64bit)  
    libcrypto.so.10()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libmatevfs-2.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    libresolv.so.2()(64bit)  
    librt.so.1()(64bit)  
    libselinux.so.1()(64bit)  
    libsmbclient.so.0()(64bit)  
    libssl.so.10()(64bit)  
    libutil.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    mate-vfs(x86-64) = 1.4.0-8.fc19
    rtld(GNU_HASH)  

mate-vfs-debuginfo-1.4.0-8.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
mate-vfs-devel-1.4.0-8.fc19.x86_64.rpm:
    
    mate-vfs-devel = 1.4.0-8.fc19
    mate-vfs-devel(x86-64) = 1.4.0-8.fc19
    pkgconfig(mate-vfs-2.0) = 1.4.0
    pkgconfig(mate-vfs-module-2.0) = 1.4.0

mate-vfs-1.4.0-8.fc19.x86_64.rpm:
    
    config(mate-vfs) = 1.4.0-8.fc19
    libbzip2.so()(64bit)  
    libcomputer.so()(64bit)  
    libdns-sd.so()(64bit)  
    libfile.so()(64bit)  
    libftp.so()(64bit)  
    libgzip.so()(64bit)  
    libhttp.so()(64bit)  
    libmatevfs-2.so.0()(64bit)  
    libnetwork.so()(64bit)  
    libnntp.so()(64bit)  
    libsftp.so()(64bit)  
    libtar.so()(64bit)  
    libvfs-test.so()(64bit)  
    mate-vfs = 1.4.0-8.fc19
    mate-vfs(x86-64) = 1.4.0-8.fc19

mate-vfs-smb-1.4.0-8.fc19.x86_64.rpm:
    
    config(mate-vfs-smb) = 1.4.0-8.fc19
    libsmb.so()(64bit)  
    mate-vfs-smb = 1.4.0-8.fc19
    mate-vfs-smb(x86-64) = 1.4.0-8.fc19

mate-vfs-debuginfo-1.4.0-8.fc19.x86_64.rpm:
    
    mate-vfs-debuginfo = 1.4.0-8.fc19
    mate-vfs-debuginfo(x86-64) = 1.4.0-8.fc19

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-vfs-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 0e5e0c4cb607c13d6d356c59699de78d93f2b72e620b99244bf4fc329925dd9b
  CHECKSUM(SHA256) upstream package : 0e5e0c4cb607c13d6d356c59699de78d93f2b72e620b99244bf4fc329925dd9b


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -b 844164


Issues:
- you should convert authors-file to utf8
- you need to fix licensing:
[mrunge@turing 844164-mate-vfs]$ cat licensecheck.txt | grep BSD
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/mate-vfs-1.4.0/modules/sftp.h: BSD (2 clause) 
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/mate-vfs-1.4.0/modules/sftp-method.c: BSD (2 clause) GPL (v2 or later) (with incorrect FSF address) 
You need to list those extra and add BSD to license.

Once license is fixed, I see no other blockers.
Comment 11 Rex Dieter 2012-08-12 16:08:34 EDT
fyi, it's up to the packagers' discretion/preference whether to list all licenses or the effective/combined license (example of the latter is that GPLv2 + BSD sources combine to make a binary that is "effectively" GPLv2)
Comment 12 Mario Bl├Ąttermann 2012-08-12 16:11:34 EDT
(In reply to comment #11)
> fyi, it's up to the packagers' discretion/preference whether to list all
> licenses or the effective/combined license (example of the latter is that
> GPLv2 + BSD sources combine to make a binary that is "effectively" GPLv2)

Indeed, licenses are that ones of the binaries, not of the sources. And GPL overrides BSD (in its restrictions), which results in GPL again.
Comment 13 leigh scott 2012-08-12 16:26:50 EDT
(In reply to comment #10)

> Issues:
> - you should convert authors-file to utf8

Here's a useful link

https://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8
Comment 14 Wolfgang Ulbrich 2012-08-13 14:18:59 EDT
new koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4385992

%changelog
* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- convert authors file to utf8

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- remove hal bits
- fix rpm scriptlets

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SPECS/mate-vfs.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SRPM/mate-vfs-1.4.0-9.fc19.src.rpm

Matthias,
in relation to comment 11/12 i didn't fix license errors.
Hope this is Ok for you.
Comment 15 Matthias Runge 2012-08-14 07:24:52 EDT
I guess, this licensing thing will be ok. It's just the header file which is apparently copied from OpenBSD and BSD licensed only.

Another issue: 
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):mate-
     vfs-smb-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libsmb.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libbzip2.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libcomputer.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libdns-
     sd.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libfile.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libftp.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libgzip.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libhttp.so
     mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libnetwork.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
     /usr/lib64/mate-vfs-2.0/modules/libnntp.so mate-
     vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libsftp.so
     mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
     vfs-2.0/modules/libtar.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
     /mate-vfs-2.0/modules/libvfs-test.so
Comment 16 leigh scott 2012-08-14 08:07:53 EDT
(In reply to comment #15)
> I guess, this licensing thing will be ok. It's just the header file which is
> apparently copied from OpenBSD and BSD licensed only.
> 
> Another issue: 
> [!]: MUST Development (unversioned) .so files in -devel subpackage, if
>      present.
>      Note: Unversioned so-files in non-devel package (fix or explain):mate-
>      vfs-smb-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
>      vfs-2.0/modules/libsmb.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
>      /mate-vfs-2.0/modules/libbzip2.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
>      /usr/lib64/mate-vfs-2.0/modules/libcomputer.so mate-
>      vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libdns-
>      sd.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
>      vfs-2.0/modules/libfile.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
>      /mate-vfs-2.0/modules/libftp.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
>      /usr/lib64/mate-vfs-2.0/modules/libgzip.so mate-
>      vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libhttp.so
>      mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
>      vfs-2.0/modules/libnetwork.so mate-vfs-1.4.0-8.fc19.x86_64.rpm :
>      /usr/lib64/mate-vfs-2.0/modules/libnntp.so mate-
>      vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-vfs-2.0/modules/libsftp.so
>      mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64/mate-
>      vfs-2.0/modules/libtar.so mate-vfs-1.4.0-8.fc19.x86_64.rpm : /usr/lib64
>      /mate-vfs-2.0/modules/libvfs-test.so

These aren't -devel files and belong in the main package or a seperate -libs package.
Comment 17 Wolfgang Ulbrich 2012-08-14 16:13:29 EDT
Matthias,
can you confirm Leighs comment?
And do you prefer a -libs subpkg?
At the momment we have some problems with libmatcomponent, here was also a subpkg -libs added, which Rex now revert to avoid a issue with bohdi autoqa.
So, if it isn't a really a MUST, i prefer to do not this step.
Comment 18 Matthias Runge 2012-08-15 02:58:07 EDT
Wolfgang,

since you already have a -devel subpackage here, why don't you tag those file for -devel?

I'm pretty sure, you don't need those files for mate-vfs to work, but you'll need those, to link other applications against it. 

Regarding this:
https://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
Comment 19 Matthias Runge 2012-08-15 03:14:54 EDT
Regarding libmatecomponent:
This commit: http://pkgs.fedoraproject.org/cgit/libmatecomponent.git/commit/?id=aa62af04deffd5762af81acbb3ac030da2419c32

adds a circular dependency (which has been dropped with a later commit by Rex http://pkgs.fedoraproject.org/cgit/libmatecomponent.git/commit/?id=fa4c7bedcae002dc4e8b7e55afc7e9439432dd7a )

That causes autoqa to fail. I can't see a link to mate-vfs
Comment 20 leigh scott 2012-08-15 04:26:38 EDT
(In reply to comment #18)
> Wolfgang,
> 
> since you already have a -devel subpackage here, why don't you tag those
> file for -devel?
> 
> I'm pretty sure, you don't need those files for mate-vfs to work, but you'll
> need those, to link other applications against it. 
> 
> Regarding this:
> https://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

No one else thinks they belong in -devel


http://rpmfind.net/linux/RPM/mageia/cauldron/x86_64/media/core/release/lib64gnome-vfs2_0-2.24.4-3.mga2.x86_64.html

http://www.suse.com/LinuxPackages/packageRouter.jsp?product=server&version=11&service_pack=sp1&architecture=ppc&package_name=gnome-vfs2

http://rpm.pbone.net/index.php3/stat/6/idpl/1542966

gnome-vfs2-2.24.4-7.fc17.x86_64 : The GNOME virtual file-system libraries
Repo        : @fedora
Matched from:
Filename    : /usr/lib64/gnome-vfs-2.0/modules/libvfs-test.so
Comment 21 Rex Dieter 2012-08-15 06:37:22 EDT
Agreed, -devel symlink files are generally stuff that matches
%{_libdir}/lib*.so and are intended for linking.  the stuff under /usr/lib64/gnome-vfs-2.0/modules are just plugins
Comment 22 Matthias Runge 2012-08-15 07:07:00 EDT
OK, to get a solution,

Wolfgang could you please document in the spec file:
(e.g. in files-section)
# these .so-files are plugins for mate-vfs
/usr/lib64/mate-vfs-2.0/modules/

Then I'll approve this package.
Comment 23 Wolfgang Ulbrich 2012-08-15 19:09:08 EDT
new koji scratch

http://koji.fedoraproject.org/koji/taskinfo?taskID=4394346

%changelog
* Thu Aug 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- add comment to files section

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- convert authors file to utf8

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- remove hal bits
- fix rpm scriptlets

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SPECS/mate-vfs.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SRPM/mate-vfs-1.4.0-10.fc19.src.rpm
Comment 24 Matthias Runge 2012-08-16 03:32:06 EDT
OK, I see no other issues,

Package APPROVED
Comment 25 Wolfgang Ulbrich 2012-08-16 05:21:39 EDT
New Package SCM Request
=======================
Package Name: mate-vfs
Short Description: The MATE virtual file-system libraries
Owners: raveit65 vicodan rdieter
Branches: f16 f17 f18
InitialCC:
Comment 26 Jon Ciesla 2012-08-16 08:34:09 EDT
Git done (by process-git-requests).
Comment 27 Fedora Update System 2012-08-16 09:58:51 EDT
mate-vfs-1.4.0-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc18
Comment 28 Fedora Update System 2012-08-16 12:53:18 EDT
mate-vfs-1.4.0-10.fc18 has been pushed to the Fedora 18 testing repository.
Comment 29 Fedora Update System 2012-08-16 21:48:31 EDT
mate-vfs-1.4.0-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc17
Comment 30 Fedora Update System 2012-08-16 21:48:41 EDT
mate-vfs-1.4.0-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc16
Comment 31 Fedora Update System 2012-08-21 04:44:58 EDT
mate-vfs-1.4.0-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc17
Comment 32 Fedora Update System 2012-08-21 04:45:14 EDT
mate-vfs-1.4.0-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc16
Comment 33 Wolfgang Ulbrich 2012-08-21 08:29:26 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.
Comment 34 Fedora Update System 2012-08-22 09:17:04 EDT
mate-vfs-1.4.0-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc17
Comment 35 Fedora Update System 2012-08-22 09:17:18 EDT
mate-vfs-1.4.0-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc16
Comment 36 Fedora Update System 2012-08-22 09:17:32 EDT
mate-vfs-1.4.0-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-vfs-1.4.0-10.fc18
Comment 37 Fedora Update System 2012-09-01 20:25:05 EDT
mate-vfs-1.4.0-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2012-09-17 18:10:30 EDT
mate-vfs-1.4.0-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 39 Fedora Update System 2012-12-01 03:39:26 EST
mate-vfs-1.4.0-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.